#-*-coding:utf-8-*-
"""
Vérification de l7filter
"""
from pyeole.service import service_out
from pyeole.process import system_out

def test_l7filter_on():
    """
    teste l'activation de l7filter
    """
    service_out('l7filter', 'start')
    assert 'l7proto' in system_out(['/sbin/iptables', '-L', '-n'])[1]

def test_l7filter_off():
    """
    teste la désactivation de l7filter
    """
    service_out('l7filter', 'stop')
    assert 'l7proto' not in system_out(['/sbin/iptables', '-L', '-n'])[1]
    # on remet les choses en ordre
    service_out('killp2p', 'restart')
